Package com.google.protobuf

# Interface DescriptorProtos.FeatureSetDefaultsOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FeatureSetDefaults`, `DescriptorProtos.FeatureSetDefaults.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.FeatureSetDefaultsOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`
`getDefaults(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`int`
`getDefaultsCount()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`List<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault>`
`getDefaultsList()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
`getDefaultsOrBuilder(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`List<? extends DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder>`
`getDefaultsOrBuilderList()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.Edition`
`getMaximumEdition()`
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`
`DescriptorProtos.Edition`
`getMinimumEdition()`
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`
`boolean`
`hasMaximumEdition()`
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`
`boolean`
`hasMinimumEdition()`
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDefaultsList

List<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault> getDefaultsList()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaults

DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault getDefaults(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaultsCount

int getDefaultsCount()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaultsOrBuilderList

List<? extends DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder> getDefaultsOrBuilderList()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaultsOrBuilder

DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder getDefaultsOrBuilder(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### hasMinimumEdition

boolean hasMinimumEdition()
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

Returns:
  Whether the minimumEdition field is set.

### getMinimumEdition

DescriptorProtos.Edition getMinimumEdition()
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

Returns:
  The minimumEdition.

### hasMaximumEdition

boolean hasMaximumEdition()
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`

Returns:
  Whether the maximumEdition field is set.

### getMaximumEdition

DescriptorProtos.Edition getMaximumEdition()
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`

Returns:
  The maximumEdition.